problemas al instalar java

Imagen de feslipe
0 puntos

hola a todos, ayer me decidi a instalar la nueva version lts de ubuntu y quede pegado en un paso, al instar Java: Soporte para aplicaciones Java. El OpenJDK y el plugin IcedTea (para firefox) para instalarlo:

sudo apt-get install openjdk-7-jre

con ese comando me sale lo siguiente y no ce que hacer me pueden ayudar,
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
openjdk-7-jre : Depende: openjdk-7-jre-headless (>= 7~u3-2.1-1ubuntu1) pero no va a instalarse
N: Ignorando archivo «getdeb.list.bck» en directorio «/etc/apt/sources.list.d/» dado que tiene una extensión de nombre de archivo inválida
N: Ignorando archivo «getdeb.list.bck» en directorio «/etc/apt/sources.list.d/» dado que tiene una extensión de nombre de archivo inválida
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

necesito areglar este problema urgente!! Muchas gracias!

Imagen de niquitonipongo
+1
0
-1

Buenos días.
Al parecer has incluido en el archivo /etc/apt/sources.list, desde donde se indica que repositorios van a usarse, algo erróneo. Para tratar de solucionarlo, primero a través de Synaptic corrige los paquete rotos.

Luego, incluye en el archivo mecionado (sudo gedit /etc/apt/sources.list) los siguientes repositorios:
http://ppa.launchpad.net/webupd8team/java/ubuntu
http://ppa.launchpad.net/webupd8team/java/ubuntu

Luego actualiza la lista de paquetes y prueba a instalar la versión Java que dices

+1
0
-1